//! Options for running the Store server.

use std::path::PathBuf;

use clap::Parser;

#[derive(Parser)]
#[command(author, version, long_about, color = clap::ColorChoice::Always)]
/// Store is the central part of the Memoirs. It keeps all the data from
/// the several Capturers and offers searches for the Viewers.
pub struct Options {
    /// Working directory
    #[arg(short, long, env = "STORE_PATH", default_value = "./")]
    pub working_directory: PathBuf,

    #[arg(short, long, env = "STORE_ADDR", default_value = "127.0.0.1:4000")]
    pub addr: String,
}
